<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for TaxTypeNexusAccounts StructType
 * @subpackage Structs
 */
class TaxTypeNexusAccounts extends AbstractStructBase
{
    /**
     * The nexus
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\RecordRef
     */
    public $nexus;
    /**
     * The payablesAccount
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\RecordRef
     */
    public $payablesAccount;
    /**
     * The receivablesAccount
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\RecordRef
     */
    public $receivablesAccount;
    /**
     * Constructor method for TaxTypeNexusAccounts
     * @uses TaxTypeNexusAccounts::setNexus()
     * @uses TaxTypeNexusAccounts::setPayablesAccount()
     * @uses TaxTypeNexusAccounts::setReceivablesAccount()
     * @param \StructType\RecordRef $nexus
     * @param \StructType\RecordRef $payablesAccount
     * @param \StructType\RecordRef $receivablesAccount
     */
    public function __construct(\StructType\RecordRef $nexus = null, \StructType\RecordRef $payablesAccount = null, \StructType\RecordRef $receivablesAccount = null)
    {
        $this
            ->setNexus($nexus)
            ->setPayablesAccount($payablesAccount)
            ->setReceivablesAccount($receivablesAccount);
    }
    /**
     * Get nexus value
     * @return \StructType\RecordRef|null
     */
    public function getNexus()
    {
        return $this->nexus;
    }
    /**
     * Set nexus value
     * @param \StructType\RecordRef $nexus
     * @return \StructType\TaxTypeNexusAccounts
     */
    public function setNexus(\StructType\RecordRef $nexus = null)
    {
        $this->nexus = $nexus;
        return $this;
    }
    /**
     * Get payablesAccount value
     * @return \StructType\RecordRef|null
     */
    public function getPayablesAccount()
    {
        return $this->payablesAccount;
    }
    /**
     * Set payablesAccount value
     * @param \StructType\RecordRef $payablesAccount
     * @return \StructType\TaxTypeNexusAccounts
     */
    public function setPayablesAccount(\StructType\RecordRef $payablesAccount = null)
    {
        $this->payablesAccount = $payablesAccount;
        return $this;
    }
    /**
     * Get receivablesAccount value
     * @return \StructType\RecordRef|null
     */
    public function getReceivablesAccount()
    {
        return $this->receivablesAccount;
    }
    /**
     * Set receivablesAccount value
     * @param \StructType\RecordRef $receivablesAccount
     * @return \StructType\TaxTypeNexusAccounts
     */
    public function setReceivablesAccount(\StructType\RecordRef $receivablesAccount = null)
    {
        $this->receivablesAccount = $receivablesAccount;
        return $this;
    }
}
